Bug 174879 - Review Request: giFT (giftd)
Review Request: giFT (giftd)
Status: CLOSED DUPLICATE of bug 175276
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Greg DeKoenigsberg
David Lawrence
http://members.shaw.ca/znapora/gift/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-03 01:55 EST by Zachary Napora
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-08 09:46:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zachary Napora 2005-12-03 01:55:38 EST
Spec Name or Url: http://members.shaw.ca/znapora/gift/gift.spec
SRPM Name or Url: http://members.shaw.ca/znapora/gift/giftd-0.11.8.1-1.src.rpm
Description: giFT is a `recursive' acronym for `giFT: Internet File
Transfer'. The giFT project is actually a collection of several
components together: the giFT daemon (which acts as bridge to the
actual file sharing protocols), the network plugin, and a user
interface front-end.
Requires: (provided with binary rpms) libgift, libgiftproto
(Note: Currently seeking sponsor for Znapora)
Comments.
Comment 1 Rex Dieter 2005-12-03 02:43:48 EST
Gift is already hosted at rpm.livna.org (due to potential legalities wrt file
sharing).
Comment 2 Warren Togami 2005-12-03 23:08:56 EST
Closing due to Comment #1.
Comment 3 Ville Skyttä 2005-12-06 17:40:59 EST
On the other hand, things such as bittorrent, dclib, gtk-gnutella and valknut
are in Extras.  Is this different in some way?  See also
https://www.redhat.com/archives/fedora-extras-list/2005-September/msg01573.html 
Comment 4 Dmitry Butskoy 2005-12-07 12:59:00 EST
As I remember, "dclib" was in Livna too, but was added to Extras later, as
people became less paranoid. :)

If this package will not contain links to some illegal stuff, it should be moved
to Extras as well.

(for comment#1): AFAIK specifying explicit Livna location is a little bit
illegal thing here... ;) :)
Comment 5 Rex Dieter 2005-12-08 09:46:41 EST
This one appears to need a lot of work (has no BR's), lots of needless subpkgs,
and is incompatible with livna package... and the submitter apparently is not
yet sponsored.

I'll take the liberty of closing this, and (re)submitting all of gift,
gift-openft, gift-gnutella, apollon to FE for review within the next day or 2.

*** This bug has been marked as a duplicate of 175276 ***

Note You need to log in before you can comment on or make changes to this bug.